var data_log, datum, zeit, helligkeit;

function preload() {
  // einlesen der Werte in die Variable "data_log"
  data_log = loadTable("data_log.csv");
}

function setup() {
  createCanvas(960, 520);
  background(240);
  textSize(16);

  // Überschrift
  text("komplette Tabelle", 18, 30);

  textAlign(RIGHT);

  // hier werden alle Werte, die bei "data_log.csv" gespeichert sind
  // ausgelesen und als eine Art von Tabelle dargestellt
  for (var i = 0; i < data_log.getRowCount(); i++) {
    datum = data_log.get(i, 0); // 1. Eintrag pro Zeile
    zeit = data_log.get(i, 1); // 2. Eintrag pro Zeile
    helligkeit = data_log.get(i, 3); // 4. Eintrag pro Zeile

    fill(0);
    text(datum, 100, 60 + i * 20);
    text(zeit, 170, 60 + i * 20);
    text(data_log.get(i, 2), 250, 60 + i * 20); // hier ohne Variable, direkt ausgelesen

    fill(255, 0, 0);
    text(helligkeit, 300, 60 + i * 20);
  }

  // wieviele Zeilen enthält die Datei "data_log.csv"
  var anzahl = data_log.getRowCount();

  textAlign(LEFT);
  fill(0);
  text("Die Datei 'data_log.csv' enthält " + anzahl + " Zeilen", 450, 30);

  // Ausgabe des 1. und des letzes Helligkeitswertes
  var ersterHelligkeitswert = data_log.get(0, 3);
  var letzterHelligkeitswert = data_log.get(anzahl - 1, 3);

  text("Erster Helligkeitswert: " + ersterHelligkeitswert, 450, 60);
  text("Letzte Helligkeitswert: " + letzterHelligkeitswert, 450, 80);
}
